package ncsa.d2k.modules.core.util;


public class ExecReslice extends ExecExternal {

    private String outfile = null;

    /**
       * Describes the purpose of the module.
       *
       * @return <code>String</code> describing the purpose of the module.
       */
    public String getModuleInfo() {
        String s = "<p>Overview: CAll the AIR reslicer program.";


        return s;
    }

    /**
     * Returns the name of the module that is appropriate for end-user
     * consumption.
     *
     * @return The name of the module.
     */
    public String getModuleName() {
        return "Execute reslice Program";
    }

    protected String setup() throws Exception {
        theCommand = executableProgram + " " + (String) pullInput(0) + " " +
            (outfile = outputFile) + " " + " " + arguments;


        return theCommand;
    }

    public void finishIt() throws Exception {

        if (retValue != 0) {
            throw new ExecExternalException(outText);
        }

        if (debug) {
            System.out.println("pushOutput " + outfile);
        }

        pushOutput(outfile, 0);
    }
}
